# `format_time`

The `format_time` filter formats a time. It behaves in the exact same way as the format_datetime filter, but without the date.

Note

The `format_time` filter is part of the `IntlExtension` which is not installed by default. Install it first:

    $ composer require twig/intl-extra

Then, on Symfony projects, install the `twig/extra-bundle`:

    $ composer require twig/extra-bundle

Otherwise, add the extension explicitly on the Twig environment:

    use Twig\Extra\Intl\IntlExtension;

    $twig = new \Twig\Environment(...);
    $twig->addExtension(new IntlExtension());

## Arguments

- `locale`: The locale

- `timeFormat`: The time format

- `pattern`: A date time pattern

- `timezone`: The date timezone

- `calendar`: The calendar (“gregorian” by default)